#
# spec file for package yank
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yank
Version:        1.3.0
Release:        1.7
Summary:        Tool for selecting and copying text from stdin without a mouse
License:        MIT
Group:          Productivity/Other
URL:            https://github.com/mptre/yank
Source0:        https://github.com/mptre/yank/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  make
Requires:       bash

%description
Read input from stdin and display a selection interface that allows a field
to be selected and copied to the clipboard. Fields are either recognized by
a regular expression using the -g option or by splitting the input on a
delimiter sequence using the -d option.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
%make_install PREFIX=/usr

%files
%{_bindir}/%{name}
%{_mandir}/man?/%{name}.?%{ext_man}
%license LICENSE
%doc README.md CHANGELOG.md

%changelog
* Tue Nov 29 2022 Andrea Manzini <andrea.manzini@suse.com>
- Version 1.3.0
  - Add opt-in selection of one and only field.
* Thu Sep 19 2019 Dany Marcoux <dmarcoux@suse.com>
- Version 1.2.0
  - Do not confuse the escape key with up arrow.
  - Remove opinionated -Werror option from CFLAGS.
  - Map carriage return to newline.
* Mon Feb 11 2019 Dany Marcoux <dmarcoux@posteo.de>
- Version 1.1.0
  - Fix a bogus free by storing a copy of the pattern argument.
* Fri Sep 28 2018 dmarcoux@posteo.de
- Version 1.0.0
* Mon Jun 25 2018 dmarcoux@posteo.de
- Version 0.8.3
